cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9/notes?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_fulfillments.get_item_fulfillment_notes(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.getItemFulfillmentNotes('ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9', {
limit: 20,
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->getItemFulfillmentNotes(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
['limit' => 20],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentNoteList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentNoteList> response = client.itemFulfillments().getItemFulfillmentNotes(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.GetItemFulfillmentNotesAsync(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.getItemFulfillmentNotes(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemFulfillments().GetItemFulfillmentNotes(context.Background(), "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"item_fulfillment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Item fulfillments
List an item fulfillment's notes
Returns a page of the notes on a fulfillment’s sale invoice.
GET
/
item_fulfillments
/
{fulfillment_id}
/
notes
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/item_fulfillments/ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9/notes?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.item_fulfillments.get_item_fulfillment_notes(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", {"limit": 20}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.itemFulfillments.getItemFulfillmentNotes('ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9', {
limit: 20,
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->itemFulfillments->getItemFulfillmentNotes(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
['limit' => 20],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.item_fulfillments.item_fulfillments_dto.ItemFulfillmentsDto.ItemFulfillmentNoteList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ItemFulfillmentNoteList> response = client.itemFulfillments().getItemFulfillmentNotes(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ItemFulfillments.GetItemFulfillmentNotesAsync(
"ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.itemFulfillments.getItemFulfillmentNotes(
'ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ItemFulfillments().GetItemFulfillmentNotes(context.Background(), "ifm_9a8b7c6d5e4f30211203f4e5d6c7b8a9", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"item_fulfillment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Returns notes under
data, each with its content, attachments and watchers. These are the notes of the fulfillment’s sale invoice, which is where the create note endpoint puts them.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The fulfillment's id, which starts with ifm_.
Query Parameters
How many records to return on one page.
Example:
20
The next_cursor from the previous page, to fetch the page after it.